Subject: Re: [PATCH 1/2] jump_label: Allow jump labels to be used in assembly

From: Anton Blanchard <[email-masked]>
Date: Wed, 7 Jan 2015 21:34:28 +1100

Hi Steve,

> Have you tested this on other archs? Because just looking at x86, it
> doesn't seem that asm/jump_label.h can handle being called in
> assembly.

Since no one is including linux/jump_label.h in assembly yet, nothing
should break. We could however add __ASSEMBLY__ protection to all the
asm/jump_label.h files. Patches on the way.

Anton